List webhook subscriptions
List existing webhook subscriptions.
The filter_type and filter_id query parameters may be used to only show subscriptions
for a particular service or team.
For more information on webhook subscriptions and how they are used to configure v3 webhooks see the Webhooks v3 Developer Documentation.
Scoped OAuth requires: webhook_subscriptions.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseThe type of resource to filter upon.
Value in
- "account"
- "service"
- "team"
The id of the resource to filter upon. Required if filter_type is service or team.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Response Body
application/json
List OAuth clients GET
List all OAuth clients for webhook subscriptions. Maximum of 10 clients per account. Requires admin or owner role permissions.
Test a webhook subscription POST
Test a webhook subscription. Fires a test event against the webhook subscription. If properly configured, this will deliver the `pagey.ping` webhook event to the destination. Scoped OAuth requires: `webhook_subscriptions.write`